Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::CapsuleIntersection Class Reference

カプセル交差 More...

`#include <CapsuleIntersection.h>`

List of all members.

## Static Public Member Functions
bool | intersect (const Capsule &capsule, const Vector3 &point)
| 点交差
bool | intersect (const Capsule &capsule0, const Capsule &capsule1)
| カプセル交差
bool | intersect (const Capsule &capsule, const Cone &cone)
| コーン交差
bool | intersect (const Capsule &capsule, const Line &line)
| ライン交差
bool | intersect (const Capsule &capsule, const OrientedBox &ob)
| 指向性ボックス交差
bool | intersect (const Capsule &capsule, const Plane &plane)
| 平面交差
bool | intersect (const Capsule &capsule, const Ray &ray)
| レイ交差
bool | intersect (const Capsule &capsule, const Segment &segment)
| セグメント交差
bool | intersect (const Capsule &capsule, const Sphere &sphere)
| 球交差
bool | intersect (const Capsule &capsule, const Triangle &triangle)
| 三角交差

## Detailed Description

カプセル交差

Definition at line 44 of file CapsuleIntersection.h.

## Member Function Documentation

bool Lamp::CapsuleIntersection::intersect | ( | const Capsule & | capsule,
|  | const Triangle & | triangle
| ) | `[static]`

  | 三角交差 Parameters:
  capsule | カプセル
  triangle | 三角
Returns: 交差していればtrue Definition at line 131 of file CapsuleIntersection.cpp. References Assert.

bool Lamp::CapsuleIntersection::intersect | ( | const Capsule & | capsule,
|  | const Sphere & | sphere
| ) | `[static]`

  | 球交差 Parameters:
  capsule | カプセル
  sphere | 球
Returns: 交差していればtrue Definition at line 122 of file CapsuleIntersection.cpp. References Assert.

bool Lamp::CapsuleIntersection::intersect | ( | const Capsule & | capsule,
|  | const Segment & | segment
| ) | `[static]`

  | セグメント交差 Parameters:
  capsule | カプセル
  segment | セグメント
Returns: 交差していればtrue Definition at line 113 of file CapsuleIntersection.cpp. References Assert.

bool Lamp::CapsuleIntersection::intersect | ( | const Capsule & | capsule,
|  | const Ray & | ray
| ) | `[static]`

  | レイ交差 Parameters:
  capsule | カプセル
  ray | レイ
Returns: 交差していればtrue Definition at line 105 of file CapsuleIntersection.cpp. References Assert.

bool Lamp::CapsuleIntersection::intersect | ( | const Capsule & | capsule,
|  | const Plane & | plane
| ) | `[static]`

  | 平面交差 Parameters:
  capsule | カプセル
  plane | 平面
Returns: 交差していればtrue Definition at line 97 of file CapsuleIntersection.cpp. References Assert.

bool Lamp::CapsuleIntersection::intersect | ( | const Capsule & | capsule,
|  | const OrientedBox & | ob
| ) | `[static]`

  | 指向性ボックス交差 Parameters:
  capsule | カプセル
  ob | 指向性ボックス
Returns: 交差していればtrue Definition at line 88 of file CapsuleIntersection.cpp. References Assert.

bool Lamp::CapsuleIntersection::intersect | ( | const Capsule & | capsule,
|  | const Line & | line
| ) | `[static]`

  | ライン交差 Parameters:
  capsule | カプセル
  line | ライン
Returns: 交差していればtrue Definition at line 80 of file CapsuleIntersection.cpp. References Assert.

bool Lamp::CapsuleIntersection::intersect | ( | const Capsule & | capsule,
|  | const Cone & | cone
| ) | `[static]`

  | コーン交差 Parameters:
  capsule | カプセル
  cone | コーン
Returns: 交差していればtrue Definition at line 72 of file CapsuleIntersection.cpp. References Assert.

bool Lamp::CapsuleIntersection::intersect | ( | const Capsule & | capsule0,
|  | const Capsule & | capsule1
| ) | `[static]`

  | カプセル交差 Parameters:
  capsule0 | カプセル
  capsule1 | カプセル
Returns: 交差していればtrue Definition at line 63 of file CapsuleIntersection.cpp. References Assert.

bool Lamp::CapsuleIntersection::intersect | ( | const Capsule & | capsule,
|  | const Vector3 & | point
| ) | `[static]`

  | 点交差 Parameters:
  capsule | カプセル
  point | 点
Returns: 交差していればtrue Definition at line 36 of file CapsuleIntersection.cpp. References Lamp::Vector3::dotProduct(), Lamp::Capsule::getDirection(), Lamp::Capsule::getOrigin(), Lamp::Capsule::getRadius(), and Lamp::Vector3::getSquaredLength().

The documentation for this class was generated from the following files:

- CapsuleIntersection.h
- CapsuleIntersection.cpp